package com.fs.qw.mapper;

import com.fs.qw.domain.QwAcquisitionAssistant;
import java.util.List;

/**
 * 企微-获客链接管理Mapper接口
 * 
 * @author fs
 * @date 2026-03-16
 */
public interface QwAcquisitionAssistantMapper 
{
    /**
     * 查询企微-获客链接管理
     * 
     * @param id 企微-获客链接管理主键
     * @return 企微-获客链接管理
     */
    public QwAcquisitionAssistant selectQwAcquisitionAssistantById(Long id);

    /**
     * 根据linkId查询
     * 
     * @param linkId 获客链接ID
     * @return 企微-获客链接管理
     */
    public QwAcquisitionAssistant selectQwAcquisitionAssistantByLinkId(String linkId);

    /**
     * 查询企微-获客链接管理列表
     * 
     * @param qwAcquisitionAssistant 企微-获客链接管理
     * @return 企微-获客链接管理集合
     */
    public List<QwAcquisitionAssistant> selectQwAcquisitionAssistantList(QwAcquisitionAssistant qwAcquisitionAssistant);

    /**
     * 新增企微-获客链接管理
     * 
     * @param qwAcquisitionAssistant 企微-获客链接管理
     * @return 结果
     */
    public int insertQwAcquisitionAssistant(QwAcquisitionAssistant qwAcquisitionAssistant);

    /**
     * 修改企微-获客链接管理
     * 
     * @param qwAcquisitionAssistant 企微-获客链接管理
     * @return 结果
     */
    public int updateQwAcquisitionAssistant(QwAcquisitionAssistant qwAcquisitionAssistant);

    /**
     * 删除企微-获客链接管理
     * 
     * @param id 企微-获客链接管理主键
     * @return 结果
     */
    public int deleteQwAcquisitionAssistantById(Long id);

    /**
     * 批量删除企微-获客链接管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwAcquisitionAssistantByIds(Long[] ids);

    /**
     * 更新状态
     * 
     * @param qwAcquisitionAssistant 企微-获客链接管理
     * @return 结果
     */
    public int updateStatus(QwAcquisitionAssistant qwAcquisitionAssistant);

    /**
     * 根据pageParam查询
     *
     * @param pageParam
     * @return
     */
    String selectQwAcquisitionUrlByPageParam(String pageParam);

    /**
     *  查询所有未逻辑删除的pageParam
     * */
    List<String> selectAllPageParams();
}